%define debug_package	%{nil}

Name:		ps3mediaserver
Version:	1.90.1
Release:	%mkrel 6
Summary:	DLNA compliant Upnp Media Server for the PS3
Group:		Video/Utilities
License:	Proprietary
URL:		http://code.google.com/p/ps3mediaserver/
Source0:	https://sourceforge.net/projects/%{name}/files/pms-%{version}-generic-linux-unix.tar.gz
Source1:	%{name}.png
BuildRequires:	imagemagick

Requires:	java
Requires:	mencoder
Requires:	ffmpeg
Requires:	mplayer
Requires:	mediainfo

%description
PS3 Media Server is a DLNA compliant UPnP Media Server for the PS3,
written in Java, with the purpose of streaming or transcoding any kind
of media files, with minimum configuration. It's backed up with the
powerful Mplayer/FFmpeg packages.

%prep
%setup -q -n pms-%{version}

%build
echo "Hi, i'm a fake build"

%install
# data
%__install -dm 0755 %{buildroot}%{_datadir}/%{name}
cp -af * %{buildroot}%{_datadir}/%{name}

# binary
%__mkdir -p %{buildroot}%{_bindir}
%__cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./PMS.sh
EOF
%__chmod +x %{buildroot}%{_bindir}/%{name}

# icons
%__mkdir_p %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
%__install -m 0644 %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png
%__install -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
%__install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
convert %{buildroot}%{_miconsdir}/%{name}.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{buildroot}%{_iconsdir}/%{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png

# menu-entry
%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=PS3 Media Server
Comment=Media Server for the PS3
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;Player;
EOF

%files
%doc CHANGELOG.txt LICENSE.txt README.md
%doc documentation
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
# remove this files as they are duplicate with doc
%exclude %{_datadir}/%{name}/documentation
%exclude %{_datadir}/%{name}/*.txt
%exclude %{_datadir}/%{name}/*.md


%changelog
* Fri Apr 15 2022 umeabot <umeabot> 1.90.1-6.mga9
+ Revision: 1850486
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.90.1-5.mga8.nonfree
+ Revision: 1548644
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.90.1-4.mga7.nonfree
+ Revision: 1288129
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 akien <akien> 1.90.1-3.mga6.nonfree
+ Revision: 1109206
- Mageia 6 rebuild

* Sun Dec 07 2014 daviddavid <daviddavid> 1.90.1-2.mga5.nonfree
+ Revision: 801818
- switch to an i586/x86_64 package
  * it can't be a noarch package (as it contains binary files)
- disable debug_package (as it is empty)
- rebuild for Mageia 5

* Sun Aug 31 2014 daviddavid <daviddavid> 1.90.1-1.mga5.nonfree
+ Revision: 670012
- new version: 1.90.1
- update Source0 link-url
- remove explicit-lib-dependency on libmediainfo
- update requires pkgs on java and mediainfo
- update file list and fix duplicate files

* Thu Oct 31 2013 tmb <tmb> 1.72.0-2.mga4.nonfree
+ Revision: 548474
- Mageia 4 rebuild

* Sat Feb 16 2013 dlucio <dlucio> 1.72.0-1.mga3.nonfree
+ Revision: 398744
- requires
- 1.72

* Tue Jan 22 2013 fwang <fwang> 1.70.0-2.mga3.nonfree
+ Revision: 390981
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fedya <fedya>
- rpm4 junk removed

* Wed Sep 12 2012 fedya <fedya> 1.70.0-1.mga3
+ Revision: 292700
- imported package ps3mediaserver

